Package icyllis.modernui.core.awt

# Class GLData

java.lang.Object
icyllis.modernui.core.awt.GLData

public class GLData extends Object
Contains all information to create an OpenGL context on an `AWTGLCanvas`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `GLData.API`
  `static enum`
  `GLData.Profile`
  `static enum`
  `GLData.ReleaseBehavior`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accumAlphaSize`
  The number of bits for the alpha accumulator color channel.
  `int`
  `accumBlueSize`
  The number of bits for the blue accumulator color channel.
  `int`
  `accumGreenSize`
  The number of bits for the green accumulator color channel.
  `int`
  `accumRedSize`
  The number of bits for the red accumulator color channel.
  `int`
  `alphaSize`
  The number of bits for the alpha color channel.
  `GLData.API`
  `api`
  The client API to use.
  `int`
  `blueSize`
  The number of bits for the blue color channel.
  `int`
  `colorSamplesNV`
  The number of color samples per pixel.
  `GLData.ReleaseBehavior`
  `contextReleaseBehavior`
  Specify the behavior on context switch.
  `boolean`
  `contextResetIsolation`
  When `robustness` is `true` and `loseContextOnReset` is `true` then this specifies whether a graphics reset only affects the current application and no other application in the system.
  `boolean`
  `debug`
  Whether a debug context should be requested.
  `int`
  `depthSize`
  The number of bits for the depth channel.
  `boolean`
  `doubleBuffer`
  Whether to use double-buffering.
  `boolean`
  `forwardCompatible`
  Whether a forward-compatible context should be created.
  `int`
  `greenSize`
  The number of bits for the green color channel.
  `boolean`
  `loseContextOnReset`
  When `robustness` is `true` then this specifies whether a GL_LOSE_CONTEXT_ON_RESET_ARB reset notification is sent, as described by GL_ARB_robustness.
  `int`
  `majorVersion`
  The major GL context version to use.
  `int`
  `minorVersion`
  The minor GL context version to use.
  `boolean`
  `pixelFormatFloat`
  Whether to use a floating point pixel format.
  `GLData.Profile`
  `profile`
  The profile to use.
  `int`
  `redSize`
  The number of bits for the red color channel.
  `boolean`
  `robustness`
  Whether robust buffer access should be used.
  `int`
  `sampleBuffers`
  This is ignored.
  `int`
  `samples`
  The number of (coverage) samples for multisampling.
  `AWTGLCanvas`
  `shareContext`
  The `AWTGLCanvas` whose context objects should be shared with the context created using `this` GLData.
  `boolean`
  `sRGB`
  Whether to use sRGB color space.
  `int`
  `stencilSize`
  The number of bits for the stencil channel.
  `boolean`
  `stereo`
  Whether to use different LEFT and RIGHT backbuffers for stereo rendering.
  `int`
  `swapBarrierNV`
  The swap barrier index.
  `int`
  `swapGroupNV`
  The swap group index.
  `Integer`
  `swapInterval`
  Set the swap interval.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GLData()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### doubleBuffer

    public boolean doubleBuffer
    Whether to use double-buffering. It defaults to `true`.

  - ### stereo

    public boolean stereo
    Whether to use different LEFT and RIGHT backbuffers for stereo rendering. It defaults to `false`.

  - ### redSize

    public int redSize
    The number of bits for the red color channel. It defaults to 8.

  - ### greenSize

    public int greenSize
    The number of bits for the green color channel. It defaults to 8.

  - ### blueSize

    public int blueSize
    The number of bits for the blue color channel. It defaults to 8.

  - ### alphaSize

    public int alphaSize
    The number of bits for the alpha color channel. It defaults to 8.

  - ### depthSize

    public int depthSize
    The number of bits for the depth channel. It defaults to 24.

  - ### stencilSize

    public int stencilSize
    The number of bits for the stencil channel. It defaults to 0.

  - ### accumRedSize

    public int accumRedSize
    The number of bits for the red accumulator color channel. It defaults to 0.

  - ### accumGreenSize

    public int accumGreenSize
    The number of bits for the green accumulator color channel. It defaults to 0.

  - ### accumBlueSize

    public int accumBlueSize
    The number of bits for the blue accumulator color channel. It defaults to 0.

  - ### accumAlphaSize

    public int accumAlphaSize
    The number of bits for the alpha accumulator color channel. It defaults to 0.

  - ### sampleBuffers

    public int sampleBuffers
    This is ignored. It will implicitly be 1 if `samples` is set to a value greater than or equal to 1.

  - ### samples

    public int samples
    The number of (coverage) samples for multisampling. Multisampling will only be requested for a value greater than or equal to 1.

  - ### shareContext

    public AWTGLCanvas shareContext
    The `AWTGLCanvas` whose context objects should be shared with the context created using `this` GLData.

  - ### majorVersion

    public int majorVersion
    The major GL context version to use. It defaults to 0 for "not specified".

  - ### minorVersion

    public int minorVersion
    The minor GL context version to use. If `majorVersion` is 0 this field is unused.

  - ### forwardCompatible

    public boolean forwardCompatible
    Whether a forward-compatible context should be created. This has only an effect when (`majorVersion`.`minorVersion`) is at least 3.2.

  - ### profile

    public GLData.Profile profile
    The profile to use. This is only valid when (`majorVersion`.`minorVersion`) is at least 3.0.

  - ### api

    public GLData.API api
    The client API to use. It defaults to `OpenGL for Desktop`.

  - ### debug

    public boolean debug
    Whether a debug context should be requested.

  - ### swapInterval

    public Integer swapInterval
    Set the swap interval. It defaults to `null` for "not specified".

  - ### sRGB

    public boolean sRGB
    Whether to use sRGB color space.

  - ### pixelFormatFloat

    public boolean pixelFormatFloat
    Whether to use a floating point pixel format.

  - ### contextReleaseBehavior

    public GLData.ReleaseBehavior contextReleaseBehavior
    Specify the behavior on context switch. Defaults to `null` for "not specified".

  - ### colorSamplesNV

    public int colorSamplesNV
    The number of color samples per pixel. This is only valid when `samples` is at least 1.

  - ### swapGroupNV

    public int swapGroupNV
    The swap group index. Use this to synchronize buffer swaps across multiple windows on the same system.

  - ### swapBarrierNV

    public int swapBarrierNV
    The swap barrier index. Use this to synchronize buffer swaps across multiple systems. This requires a Nvidia G-Sync card.

  - ### robustness

    public boolean robustness
    Whether robust buffer access should be used.

  - ### loseContextOnReset

    public boolean loseContextOnReset
    When `robustness` is `true` then this specifies whether a GL_LOSE_CONTEXT_ON_RESET_ARB reset notification is sent, as described by GL_ARB_robustness.

  - ### contextResetIsolation

    public boolean contextResetIsolation
    When `robustness` is `true` and `loseContextOnReset` is `true` then this specifies whether a graphics reset only affects the current application and no other application in the system.

- ## Constructor Details

  - ### GLData

    public GLData()